/**
 * EasyBeans
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: EZBApplicationJNDIResolver.java 2981 2008-04-27 15:58:00Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.console.jmxbrowser.service;

import java.util.LinkedList;
import java.util.List;


public class JMXOperation implements Comparable<JMXOperation> {

    private String name = null;

    private String desc = null;

    private String returnType = null;

    private List<JMXParameterOperation> parameters = null;

    public JMXOperation() {
        this.parameters = new LinkedList<JMXParameterOperation>();
    }

    public String getName() {
        return name;
    }

    public void setName(final String name) {
        this.name = name;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(final String desc) {
        this.desc = desc;
    }

    public String getReturnType() {
        return returnType;
    }

    public void setReturnType(final String returnType) {
        this.returnType = returnType;
    }

    public List<JMXParameterOperation> getParameters() {
        return parameters;
    }

    public void setParameters(final List<JMXParameterOperation> parameters) {
        this.parameters = parameters;
    }

    public void addParameter(final JMXParameterOperation parameterOperation) {
        this.parameters.add(parameterOperation);
    }

    public int compareTo(final JMXOperation o) {
        if (name == null) {
            return -1;
        }
        return name.compareTo(o.name);
    }

}
